Source a purchase order line from another store
Source an existing purchase-order line from another store's incoming purchase order (inter-store trade). The purchase order must be placed with a supplier that represents the seller store; this couples the line (and its purchase order, if not already coupled) to the seller's auto-created sales order and points that sale at the chosen seller purchase-order line. Returns the updated purchase order.
Required permissions: PURCHASE_ORDER
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Reference to a Store.
^[A-Za-z0-9-_]+Reference to a PurchaseOrder.
^[A-Za-z0-9-_]+Reference to an item on a purchase order
^[A-Za-z0-9-_]+Source an existing purchase-order line from another store's incoming purchase order (inter-store trade). The whole purchase-order line is coupled to the chosen seller line; there is no separate quantity.
^[A-Za-z0-9-_]+^[A-Za-z0-9-_]+^[A-Za-z0-9-_]+Example response
Reference to a customer order
^[A-Za-z0-9-_]+| ENUM | Description |
|---|---|
| NEW | Created, but not sent to supplier yet. |
| SENT_TO_SUPPLIER | Sent to supplier. |
| CANCELLED_BY_SUPPLIER | The purchase order have been cancelled by the supplier. This status is only applicable for suppliers who are integrated with FlowRetail. |
| IN_TRANSIT | The goods are in transit. This status is only applicable for suppliers who are integrated with FlowRetail. |
| PARTIALLY_RECEIVED | Not all goods have been received yet. |
| RECEIVED | All goods have been received. |
| CLOSED | No longer able to process purchase order. |
| CANCELLED_BY_SUPPLIER | Purchase was cancelled by supplier |
^[A-Za-z0-9-_]+^[A-Za-z0-9-_]+Supplier reference number
If set, items in this purchase order cannot be reserved before this date.
POST /v2/tenants/{tenantUid}/stores/{storeUid}/purchase-orders/{purchaseOrderUid}/purchase-order-items/{purchaseOrderItemUid}/inter-store-reservations HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 93
{
"sellerStoreUid": "text",
"sellerPurchaseOrderUid": "text",
"sellerPurchaseOrderItemUid": "text"
}Example response
{
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"deliveryAddress": "text",
"deliveryCity": "text",
"deliveryCountryCode": "text",
"deliveryName": "text",
"deliveryPostalCode": "text",
"externalId": "text",
"items": [
{
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"expectedDeliveryDate": "2026-01-01",
"externalId": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"productUid": "text",
"productName": "text",
"productSerialNoRequired": "NO",
"productSku": "text",
"purchaseOrderItemUid": "text",
"quantityOrdered": 1,
"quantityReceived": 1,
"quantityReserved": 1,
"supplierSku": "text",
"interStoreSalesOrder": {
"orderUid": "text",
"orderNumber": "text",
"orderState": "OPEN",
"storeUid": "text",
"storeName": "text",
"orderItemUid": "text",
"reservationType": "NONE",
"reservationDetails": {
"warehouse": {
"warehouseName": "text"
},
"purchaseOrder": {
"purchaseOrderUid": "text",
"purchaseOrderItemUid": "text",
"expectedDeliveryDate": "2026-01-01T00:00:00.000Z",
"purchaseOrderNumber": "text",
"quantityOrdered": 1,
"externalId": "text"
},
"receivement": {
"receivementUid": "text",
"receivementItemUid": "text",
"expectedArrival": "2026-01-01T00:00:00.000Z",
"expectedDispatch": "2026-01-01T00:00:00.000Z",
"quantity": 1,
"supplierOrderReference": "text",
"receivedAt": "2026-01-01T00:00:00.000Z"
},
"interStorePurchaseOrder": {
"storeUid": "text",
"storeName": "text",
"purchaseOrderUid": "text",
"purchaseOrderNumber": "text",
"purchaseOrderItemUid": "text"
},
"interStorePurchaseOrderReceivement": {
"receivementUid": "text",
"receivementItemUid": "text",
"expectedArrival": "2026-01-01T00:00:00.000Z",
"expectedDispatch": "2026-01-01T00:00:00.000Z",
"quantity": 1,
"supplierOrderReference": "text",
"receivedAt": "2026-01-01T00:00:00.000Z"
}
}
},
"unitPrice": 1,
"receivementItems": [
{
"receivementUid": "text",
"receivementStatus": "RECEIVED",
"invoiceApproval": {
"approvedAt": "2026-01-01T00:00:00.000Z",
"tenantUserUid": "text",
"tenantUserDisplayName": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"createdBy": "text",
"externalId": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"product": {
"productUid": "text",
"name": "text",
"sku": "text"
},
"purchaseOrderItemUid": "text",
"quantity": 1,
"unitCost": 1,
"receivementItemUid": "text",
"serialnumber": "text",
"status": "text",
"note": "text",
"tenantUserUid": "text",
"tenantUserDisplayName": "text",
"reservations": [
{
"orderUid": "text",
"orderItemUid": "text",
"orderNumber": "text",
"quantity": 1,
"reservationType": "NONE"
}
]
}
],
"discountAmount": 1,
"freightAmount": 1,
"unitCost": 1,
"totalLinePrice": 1,
"localCurrency": {
"unitPrice": 1,
"discountAmount": 1,
"freightAmount": 1,
"unitCost": 1,
"totalLinePrice": 1
},
"reservations": [
{
"orderUid": "text",
"orderItemUid": "text",
"orderNumber": "text",
"quantity": 1,
"reservationType": "NONE"
}
],
"note": "text",
"sortOrder": 1,
"purchaseOrderItemLinks": [
{
"purchaseOrderItemUid": "text",
"type": "PACKAGE"
}
]
}
],
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"note": "text",
"purchaseNumber": "text",
"purchaseOrderUid": "text",
"status": "NEW",
"storeUid": "text",
"storeName": "text",
"supplierUid": "text",
"supplierName": "text",
"discountRate": 1,
"freight": 1,
"currency": {
"code": "text",
"exchangeRate": 1
},
"supplierReferenceNumber": "text",
"invoiceAddress": {
"companyName": "text",
"address": "text",
"postalCode": "text",
"city": "text",
"countryCode": "text",
"vatNumber": "text",
"email": "text"
},
"reserveAfter": "2026-01-01T00:00:00.000Z",
"interStoreSalesOrder": {
"orderUid": "text",
"orderNumber": "text",
"orderState": "OPEN",
"storeUid": "text",
"storeName": "text"
},
"hasConfirmedReceivements": true
}Last updated
Was this helpful?

